DragonFly BSD
DragonFly users List (threaded) for 2006-06
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: Mplayer and Xine-ui depend on aRts?

From: "Dmitri Nikulin" <dnikulin@xxxxxxxxx>
Date: Mon, 19 Jun 2006 15:36:24 +1000

On 6/19/06, Petr Janda <elekktretterr@xxxxxxxxxxxxxx> wrote:
Why would that be? Im running fluxbox and aRts would pull down lots of
other KDE dependencies. I tried to remove arts from the
PKG_OPTIONS.gmplayer = ... but it still tries to install it.

How can I install it without friggen aRts, QT etc ?

This is how I do mk.conf for mplayer. win32-codecs would be in there if the distfiles still existed for pkgsrc stable's version. Most frequently broken package ever - I remember in FreeBSD Ports I had to make checksum and submit a patch because some upstream clown changed the archives.

PKG_OPTIONS.mplayer = -* faad theora oss vorbis xvid cdparanoia dvdread mad

Repeat for mencoder and gmplayer if you use that (I don't, mplayer +
shell is fine).

The -* is very nice, even if other options are added in the future,
they won't be pulled in. Let's sit and appreciate how much better this
is than in Portage (Gentoo) where package-specific USE flags have to
be put in a separate file with a different format, and the flags mean
completely different things for different packages. I Heart pkgsrc.

-- Dmitri Nikulin

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]